use strict;
use warnings;

use inc::Module::Install;

my $dist = 'Module-Install-DOAPChangeSets';
my $fn   = "lib/$dist.pm"; $fn =~ s#-#/#g;

name                $dist;
perl_version_from   $fn;
version_from        $fn;
abstract_from       $fn;
readme_from         $fn;
author              'Toby Inkster <tobyink@cpan.org>';
license             'perl';

test_requires       'Test::More' => '0.61';

requires            'Perl::Version'      => 0;
requires            'RDF::Trine'         => '0.112';
requires            'RDF::Query'         => '2.200';
requires            'File::Slurp'        => 0;
requires            'Text::Wrap'         => 0;
requires            'URI::file'          => 0;
requires            'LWP::Simple'        => 0;

resources(
	'homepage'   => "https://metacpan.org/release/$dist",
	'repository' => "http://goddamn.co.uk/svn-web/perlmods/browse/$dist/",
	'bugtracker' => "http://rt.cpan.org/Dist/Display.html?Queue=$dist",
	);

keywords 'RDF', 'Semantic Web', 'CPAN', 'DOAP', 'Perl', 'Changes';

write_doap_changes;
auto_license;
auto_manifest;

auto_install;
WriteAll(
	'meta' => 1,
	'sign' => 1,
	);
